#pragma once

#include <wmconsole/version3/wmcutil/config_base.h>

namespace NWebmaster {

struct TConfig : TConfigBase {
    TConfig(NLastGetopt::TOpts &opts);
    void Load() override;

    static const TString MSG_APPLICATION_NAME;
    static const TString MSG_APPLICATION_VERSION;

    size_t HTTP_SERVER_PORT;

    NLastGetopt::TOpts &Opts;
};

} //namespace NWebmaster
